Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 384249 (CVE-2011-3581) - <net-libs/ldns-1.6.11 Unknown RR Type Handling Buffer Overflow Vulnerability (CVE-2011-3581)
Summary: <net-libs/ldns-1.6.11 Unknown RR Type Handling Buffer Overflow Vulnerability ...
Status: RESOLVED FIXED
Alias: CVE-2011-3581
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/46153/
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-23 21:24 UTC by Agostino Sarubbo
Modified: 2014-01-21 21:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2011-09-23 21:24:19 UTC
From secunia security advisory ad $URL:

Description:
The vulnerability is caused due to a boundary error in the "ldns_rr_new_frm_str_internal()" function in rr.c when handling the data of unknown RR types ("\#"). This can be exploited to cause a heap-based buffer overflow by e.g. processing specially crafted DNS Resource Records.

Successful exploitation may allow execution of arbitrary code.

The vulnerability is reported in version 1.6.10. Other versions may also be affected.

Solution:
Fixed in the SVN repository.
https://www.nlnetlabs.nl/bugs-script/show_bug.cgi?id=403
Comment 1 MATSUU Takuto (RETIRED) gentoo-dev 2011-09-30 15:00:22 UTC
net-libs/ldns-1.6.11
net-dns/ldns-utils-1.6.11
in cvs.

please mark stable both.
Comment 2 Agostino Sarubbo gentoo-dev 2011-09-30 15:07:33 UTC
Thanks Matsuu.

Arches, please test and mark stable:

=net-libs/ldns-1.6.11
=net-dns/ldns-utils-1.6.11

target KEYWORDS : "amd64 x86"
Comment 3 Agostino Sarubbo gentoo-dev 2011-09-30 20:11:33 UTC
amd64 ok

minor issue about cflags that not blocks this. I'll pointed out in a new bug.
Comment 4 Ian Delaney (RETIRED) gentoo-dev 2011-10-01 13:52:38 UTC
amd64
ditto Ago
Comment 5 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2011-10-01 17:55:50 UTC
x86 stable
Comment 6 Tony Vroon gentoo-dev 2011-10-06 14:41:02 UTC
+  06 Oct 2011; Tony Vroon <chainsaw@gentoo.org> ldns-1.6.11.ebuild:
+  Marked stable on AMD64 based on arch testing by Agostino "ago" Sarubbo & Ian
+  "idella4" Delaney in security bug #384249.

+  06 Oct 2011; Tony Vroon <chainsaw@gentoo.org> ldns-utils-1.6.11.ebuild:
+  Marked stable on AMD64 based on arch testing by Agostino "ago" Sarubbo & Ian
+  "idella4" Delaney in security bug #384249.
Comment 7 Stefan Behte (RETIRED) gentoo-dev Security 2011-10-08 21:02:24 UTC
No GLSA vote required. Added to pending GLSA request.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2011-11-16 23:33:44 UTC
CVE-2011-3581 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-3581):
  Heap-based buffer overflow in the ldns_rr_new_frm_str_internal function in
  ldns before 1.6.11 allows remote attackers to cause a denial of service
  (crash) and possibly execute arbitrary code via a Resource Record (RR) with
  an unknown type containing input that is longer than a specified length.
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2014-01-21 21:18:20 UTC
This issue was resolved and addressed in
 GLSA 201401-25 at http://security.gentoo.org/glsa/glsa-201401-25.xml
by GLSA coordinator Chris Reffett (creffett).